## org.eclipse.emf.ecoretools.diagram.providers
Class EcoreValidationDecoratorProvider

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.emf.ecoretools.diagram.providers.EcoreValidationDecoratorProvider

All Implemented Interfaces:
  org.eclipse.gmf.runtime.common.core.service.IProvider, org.eclipse.gmf.runtime.diagram.ui.services.decorator.IDecoratorProvider

    public class EcoreValidationDecoratorProvider

extends org.eclipse.gmf.runtime.common.core.service.AbstractProvider
implements org.eclipse.gmf.runtime.diagram.ui.services.decorator.IDecoratorProvider

Nested Class Summary
`static class` `EcoreValidationDecoratorProvider.StatusDecorator`

Constructor Summary
`EcoreValidationDecoratorProvider()`

Method Summary
`void` `createDecorators(org.eclipse.gmf.runtime.diagram.ui.services.decorator.IDecoratorTarget decoratorTarget)`
`boolean` `provides(org.eclipse.gmf.runtime.common.core.service.IOperation operation)`
`static void` `refreshDecorators(org.eclipse.gmf.runtime.notation.View view)`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Constructor Detail

### EcoreValidationDecoratorProvider

    public EcoreValidationDecoratorProvider()

Method Detail

### createDecorators

    public void createDecorators(org.eclipse.gmf.runtime.diagram.ui.services.decorator.IDecoratorTarget decoratorTarget)

  Specified by:
    `createDecorators` in interface `org.eclipse.gmf.runtime.diagram.ui.services.decorator.IDecoratorProvider`

### provides

    public boolean provides(org.eclipse.gmf.runtime.common.core.service.IOperation operation)

  Specified by:
    `provides` in interface `org.eclipse.gmf.runtime.common.core.service.IProvider`

### refreshDecorators

    public static void refreshDecorators(org.eclipse.gmf.runtime.notation.View view)

Copyright 2007 Anyware Technologies. All Rights Reserved.